/*
    This file is part of the 'yarec' package.
    Copyright (C) 1998  Ralf W. Stephan <stephan@tmt.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif
#include "yarec.h"

void UIHandler_init();
void UIHandler_change_to_gui_if_possible();
void UIHandler_parse_gui_options (int* c, char*** v);
int UIHandler_is_commandline();
void UIHandler_print_to_console (const char*, const char*);
void UIHandler_takes_over();
void UIHandler_msg (const char*);
void UIHandler_time (const char*);
void UIHandler_size (long, long);
void UIHandler_rbc (int, int, int);
void UIHandler_close();
